Black screen when booting after a fresh install on chromebook

Bug #1156077 reported by monostel on 2013-03-16
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
xserver-xorg-video-intel (Ubuntu)

Bug Description

I installed Ubuntu 13.04 on my Cr-48 chromebook, which went smoothly. However, once I boot for the first time the screen flickers showing only black. Sound appears to be working though since the login sound is made.

The screen does begin to function once I close the lid to suspend then open the lid to resume though. Even then the cooling fan is startings to run indefinitely at high speed for no apparent reason since there is nothing running which is using a lot of resources.

It's especially odd to me since prior releases of Ubuntu, even when in development, have not had these problems with this particular hardware configuration.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xorg 1:7.7+1ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-12.21-generic 3.8.2
Uname: Linux 3.8.0-12-generic x86_64

ApportVersion: 2.9.1-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sat Mar 16 18:15:48 2013
DistUpgraded: Fresh install
DistroCodename: raring
DistroVariant: ubuntu
ExtraDebuggingInterest: No
 Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
   Subsystem: Device [0537:2852]
   Subsystem: Device [0537:2852]
InstallationDate: Installed on 2013-03-16 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130316)
MachineType: IEC PineTrail
MarkForUpload: True
 PATH=(custom, no user)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-12-generic root=UUID=338b60d8-86aa-4da1-8eb5-79855b30105a ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install) 10/27/2010
dmi.bios.vendor: IEC
dmi.bios.version: 0.08
dmi.board.asset.tag: Base Board Asset Tag Base Board Product Name
dmi.board.vendor: IEC
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnIEC:bvr0.08:bd10/27/2010:svnIEC:pnPineTrail:pvr0.08:rvnIEC:rnBaseBoardProductName:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion: PineTrail
dmi.product.version: 0.08
dmi.sys.vendor: IEC
version.compiz: compiz 1:0.9.9~daily13.03.08-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.42-0ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0.3-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0.3-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.3-0ubuntu2b1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2b2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu1b1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.4-0ubuntu1b1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.6-0ubuntu3b1
xserver.bootTime: Sat Mar 16 18:13:16 2013
xserver.configfile: default

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.3-0ubuntu2b1
xserver.video_driver: intel

monostel (monostel) wrote :
Timo Aaltonen (tjaalton) on 2013-03-18
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Chris Wilson (ickle) wrote :

vesafb is loaded over top of i915.ko.

[ 6.192209] Console: switching to colour frame buffer device 160x50
[ 6.205989] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 6.205994] i915 0000:00:02.0: registered panic notifier
[ 6.276698] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[ 7.053243] vesafb: mode is 1024x768x32, linelength=4096, pages=0
[ 7.053252] vesafb: scrolling: redraw
[ 7.053261] vesafb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[ 7.054521] vesafb: framebuffer at 0x80000000, mapped to 0xffffc90020b80000, using 3072k, total 3072k
[ 7.056892] fb1: VESA VGA frame buffer device

The attachment "Prevent loading of vesa if i915.ko is already loaded." seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
bugbot (bugbot) on 2013-03-21
tags: added: black-screen
Chris Wilson (ickle) on 2013-03-21
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → In Progress
Bryce Harrington (bryce) wrote :

@kernel team - ickle's kernel patch needs packaged for confirmation, and integration into the raring kernel if it proves to work.

tags: added: kernel-handoff-graphics
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → High
Joseph Salisbury (jsalisbury) wrote :

I'll build a raring test kernel with the patch applied and post a link shortly.

Changed in linux (Ubuntu Raring):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

@Chris Wilson,

Your patch applied to the Raring tree without an issue. However, there were some build warnings and a build error, which prevented the kernel from compiling.

The following is the warnings and the error:

/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_redraw':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:70:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_ypan':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:71:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_ywrap':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:72:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_vgapal':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:73:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_pmipal':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:75:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function '__check_nomtrr':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:79:1: warning: return from incompatible pointer type [enabled by default]
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c: In function 'aperture_already_claimed':
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:268:23: error: 'size_total' undeclared (first use in this function)
/home/jsalisbury/bugs/lp1156077/ubuntu-raring/drivers/video/vesafb.c:268:23: note: each undeclared identifier is reported only once for each function it appears in
  CC [M] drivers/staging/vt6655/tkip.o
make[4]: *** [drivers/video/vesafb.o] Error 1
make[4]: *** Waiting for unfinished jobs....

It looks like size_total was not declared in your new function: aperture_already_claimed(). Were you able to compile your patch? Does comment #3 contain the latest version?

Changed in linux (Ubuntu Raring):
status: In Progress → Incomplete
Chris Wilson (ickle) wrote :

Now actually compiled.

Joseph Salisbury (jsalisbury) wrote :

Thanks, Chris.

I built a raring test kernel with the patch from #8 applied. Can folks affected by this bug test the kernel and report back? The test kernel can be downloaded from:

Bryce Harrington (bryce) on 2013-04-01
Changed in xserver-xorg-video-intel (Ubuntu Raring):
status: In Progress → Incomplete
monostel (monostel) wrote :

Joseph, I just installed your test kernel and it works as expected. Thanks for fixing this bug!

Joseph Salisbury (jsalisbury) wrote :

HI Chris,

Thanks for providing the patch. Per comment #10, it resolves this bug.

Do you plan on submitting this patch upstream for inclusion in the mainline kernel?

Changed in linux (Ubuntu Raring):
status: Incomplete → Opinion
status: Opinion → In Progress
Bryce Harrington (bryce) on 2013-04-04
Changed in xserver-xorg-video-intel (Ubuntu Raring):
status: Incomplete → Triaged
importance: Undecided → High
status: Triaged → In Progress
Bryce Harrington (bryce) on 2013-04-08
Changed in xserver-xorg-video-intel (Ubuntu Raring):
assignee: nobody → Canonical (canonical-x)
Timo Aaltonen (tjaalton) wrote :

the first version of the patch was sent to dri-devel@, but the new one not

Changed in linux (Ubuntu Raring):
status: In Progress → Triaged
assignee: Joseph Salisbury (jsalisbury) → nobody
tags: added: kernel-da-key
Robert Hooker (sarvatt) on 2014-01-10
Changed in xserver-xorg-video-intel (Ubuntu):
status: In Progress → Invalid
Changed in xserver-xorg-video-intel (Ubuntu Raring):
status: In Progress → Invalid

This bug was nominated against a series that is no longer supported, ie raring. The bug task representing the raring nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Raring):
status: Triaged → Won't Fix
To post a comment you must log in.